-- Stored procedure
CREATE PROCEDURE [dbo].[C6_S_WritePDFintoDB_Periodico]
	@CodiceContratto as varchar(11),
	@Rete as varchar(1),
	@CodiceFiscale as varchar(16),
	@NomeCliente as varchar(50),
	@CognomeCliente as varchar(50),
	@TipoReport as varchar(15),
	@img as image = null,
	@CodicePB as varchar(6),
	@NomePB as varchar(50) = null,
	@CognomePB as varchar(50) = null,
	@NumeroPagine as INT,
	@codReport as int=0,
    @Identificativo as int=0
AS
BEGIN
	SET NOCOUNT ON;
	--DECLARE @Identificativo AS INT
IF @Identificativo <> 0
	BEGIN 
		  UPDATE [dbo].[C6ReportFisico] SET  
							[CodiceContratto] = @CodiceContratto,
							[Rete] = @Rete,
							[Cliente] = @CodiceFiscale,
							[NomeCliente] = @NomeCliente,
							[CognomeCliente] = @CognomeCliente,
							[TipoReport] = @TipoReport,
							[Data] = getDate(),
							[StatoVerifica] = '0',
							[StatoLock] = '1',
							[Image] = @img,
							[CodicePB] = @CodicePB,
							[NomePB] = @NomePB,
							[CognomePB] = @CognomePB,
							[NumeroPagine] = @NumeroPagine,
							[FlagPeriodico] =1
		   WHERE Identificativo = @Identificativo
		   UPDATE [SEIReport].[dbo].[RepositoryMetadati] SET				    
				   [rete] = @Rete,
				   [cod_agente] = @CodicePB,
				   [idCliente] = 319,
				   [cod_fiscale] = @CodiceFiscale,
				   [cognome] = @CognomeCliente,
				   [nome] = @NomeCliente,
				   [tipoReport] = @codReport,
				   [dataGenerazione] = getDate(),
				   [flagLock]=1,
				   [flagStoricizzato]=0,
				   [flagDefinitivo]=0,
				   [repository]=1,
				   [CodiceContratto]=@CodiceContratto,
				   [Note]='Report Centralizzato'
			WHERE idInrepository = @Identificativo			
			DELETE [dbo].[LogFilePDF] WHERE [IDImage] = @Identificativo
	END	
ELSE
	BEGIN	
		INSERT INTO [dbo].[C6ReportFisico]
			   ([CodiceContratto]
				,[Rete]
			   ,[Cliente]
			   ,[NomeCliente]
			   ,[CognomeCliente]
			   ,[TipoReport]
			   ,[Data]
			   ,[StatoVerifica]
			   ,[StatoLock]
			   ,[Image]
			   ,[CodicePB]
			   ,[NomePB]
			   ,[CognomePB]
			   ,[NumeroPagine]
			   ,[FlagPeriodico])
		 VALUES
			   (@CodiceContratto,
				@Rete,
				@CodiceFiscale,
				@NomeCliente,
				@CognomeCliente,
				@TipoReport,
				getDate(),
				'0',
				'1',
				@img,
				@CodicePB,
				@NomePB,
				@CognomePB,
				@NumeroPagine,
				1)
		SET @Identificativo = @@identity
		INSERT INTO [SEIReport].[dbo].[RepositoryMetadati]
				   ([idInrepository]
				   ,[rete]
				   ,[cod_agente]
				   ,[idCliente]
				   ,[cod_fiscale]
				   ,[cognome]
				   ,[nome]
				   ,[tipoReport]
				   ,[dataGenerazione]
				   ,[flagLock]
				   ,[flagStoricizzato]
				   ,[flagDefinitivo]
				   ,[repository]
				   ,[CodiceContratto]
				   ,[Note])
			VALUES(
				@identificativo,
				@Rete,
				@CodicePB,
				319,
				@CodiceFiscale,
				@CognomeCliente,
				@NomeCliente,
				@codReport,
				getDate(),
				1,
				0,
				0,
				1,
				@CodiceContratto,
				'Report Centralizzato'
			)
	END
	INSERT INTO [dbo].[LogFilePDF](
							[Applicativo],
							[Tipo],
							[Data_inserimento],
							[IDImage],
							[Nome],
							[Cognome],
							[CodiceFiscale],
							[Rete],
							[PB],
							[Tipo_utente])
		SELECT 
		  'C6' as [Applicativo],
		  '2' as [Tipo],
		  getDate() as [Data_inserimento],
		  @Identificativo as [IDImage],
		  NomeCliente as [Nome],
		  CognomeCliente as [Cognome],
		  Cliente as [CodiceFiscale],
		  Rete as [Rete],
		  CodicePB as [PB],
		  'tipoUtente' as [Tipo_utente]
		FROM [dbo].[C6REPORTFISICO]
		WHERE Identificativo = @Identificativo
	select @Identificativo 
	--return  @Identificativo 
END